#!/bin/sh
# -----------------------------------------------------------------------------
# Start Script for the CATALINA Server
#
# $Id: startup.sh,v 1.1.1.1 2004-12-14 18:28:29 rafael Exp $
# -----------------------------------------------------------------------------

# resolve links - $0 may be a softlink
PRG="$0"

while [ -h "$PRG" ] ; do
  ls=`ls -ld "$PRG"`
  link=`expr "$ls" : '.*-> \(.*\)$'`
  if expr "$link" : '.*/.*' > /dev/null; then
    PRG="$link"
  else
    PRG=`dirname "$PRG"`/"$link"
  fi
done
 
PRGDIR=`dirname "$PRG"`
EXECUTABLE=catalina.sh

# Check that target executable exists
if [ ! -x "$PRGDIR"/"$EXECUTABLE" ]; then
  echo "Cannot find $PRGDIR/$EXECUTABLE"
  echo "This file is needed to run this program"
  exit 1
fi

export HPSMH_HOME=/opt/hp/hpsmh
export CATALINA_HOME=$HPSMH_HOME/tomcat
export TOMCAT_HOME=$CATALINA_HOME
export JAVA_HOME=$(cat $TOMCAT_HOME/conf/java.conf)
export CATALINA_PID=/opt/hp/hpsmh/logs/tomcat_instance.pid

exec "$PRGDIR"/"$EXECUTABLE" start "$@" >> /dev/null
